<?php





require_once ("../../config/Cado.php");

require_once("../proveedor/cProveedor.php");

$oProveedor = new cProveedor();

require_once("../formatos/formato.php");





if($_POST['action_proveedor']=="insertar_cuenta")

{

	

		$oProveedor->insertarcuenta(

				$_POST['cmb_ban_id'],

				$_POST['cmb_mon_id'], 

				$_POST['cmb_tipcuenta_id'], 

				$_POST['txt_pro_nrocue'], 

				$_POST['txt_pro_cci'],

				$_POST['hdd_pro_id']

			);

						

			$data['procue_msj']='Se registró proveedor correctamente.';

			echo json_encode($data);

}











if($_POST['action_proveedor']=="insertar")

{

	if(!empty($_POST['txt_pro_doc']))

	{

		$cst1 = $oProveedor->verifica_proveedor_doc($_POST['txt_pro_doc'],0);

		$rst1= mysqli_num_rows($cst1);

		

		if($rst1>0)

		{

			$dt = mysqli_fetch_array($cst1);

			$pro_id=$dt['tb_proveedor_id'];

			mysqli_free_result($cst1);

			

			$data['pro_id']=$pro_id;

			$data['pro_msj']='Existe proveedor con el mismo número de documento '.$_POST['txt_pro_doc'].'.';

		}

		else

		{



		$pronom = limpia_espacios($_POST['txt_pro_nom']);

		$prodir	= $_POST['txt_pro_dir'];

		$procont = limpia_espacios($_POST['txt_pro_con']);

		$pronom =  str_ireplace("'"," ",$pronom);

		$prodir =  str_ireplace("'"," ",$prodir);

		$procont =  str_ireplace("'"," ",$procont);



			$oProveedor->insertar(

				$_POST['cmb_pro_tip'], 

				$_POST['txt_pro_alias'], 

				limpia_espacios($_POST['txt_pro_nom']),

				$_POST['txt_pro_doc'], 

				$_POST['txt_pro_dir'],

				$procont, 

				$_POST['txt_pro_tel'], 

				$_POST['txt_pro_ema']);

			

				$dts=$oProveedor->ultimoInsert();

				$dt = mysqli_fetch_array($dts);

				$pro_id=$dt['id'];

				mysqli_free_result($dts);

			

			$data['pro_id']=$pro_id;

			$data['pro_msj']='Se registró proveedor correctamente.';

		}

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



if($_POST['action_proveedor']=="editar")

{

	if(!empty($_POST['txt_pro_doc']))

	{

		$cst1 = $oProveedor->verifica_proveedor_doc($_POST['txt_pro_doc'],$_POST['hdd_pro_id']);

		$rst1= mysqli_num_rows($cst1);

		

		if($rst1>0)

		{

			$dt = mysqli_fetch_array($cst1);

			$pro_id=$dt['tb_proveedor_id'];

			mysqli_free_result($cst1);

			

			$data['pro_id']=$pro_id;

			$data['pro_msj']='Existe proveedor con el mismo número de documento '.$_POST['txt_pro_doc'].'.';

		}

		else

		{

			/* if($_POST['hdd_pro_id']!=1)

			{} */

		

		

		$pronom = limpia_espacios($_POST['txt_pro_nom']);

		$prodir	= $_POST['txt_pro_dir'];

		$procont = limpia_espacios($_POST['txt_pro_con']);

		$pronom =  str_ireplace("'"," ",$pronom);

		$prodir =  str_ireplace("'"," ",$prodir);

		$procont =  str_ireplace("'"," ",$procont);



				$oProveedor->modificar(

					$_POST['hdd_pro_id'], 

					$_POST['cmb_pro_tip'], 

					$_POST['txt_pro_alias'], 

					limpia_espacios($pronom), 

					$_POST['txt_pro_doc'], 

					$prodir, 

					limpia_espacios($_POST['txt_pro_con']), 

					$_POST['txt_pro_tel'], 

					$_POST['txt_pro_ema']

				);

			

			

			$data['pro_id']=$_POST['hdd_pro_id'];

			$data['pro_msj']='Se modifico el proveedor correctamente.';

		}

		echo json_encode($data);

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['pro_id']))

	{

		$oProveedor->modificar_campo($_POST['pro_id'],'xac','0');

		echo 'Se eliminó proveedor correctamente.';

		

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}





if($_POST['action']=="eliminarcuenta")

{

	if(!empty($_POST['procue_id']))

	{

		$oProveedor->modificar_campoCuenta($_POST['procue_id'],'xac','0');

		echo 'Se eliminó proveedor correctamente.';

		

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

























if($_POST['action'] == "obtener_datos"){

	if(!empty($_POST['pro_id'])){

		$rs = $oProveedor->mostrarUno($_POST['pro_id']);		

		$fila = mysqli_fetch_array($rs);

			$data['direccion'] = $fila['tb_proveedor_dir'];

			$data['documento'] = $fila['tb_proveedor_doc'];			

			$data['nombre'] = $fila['tb_proveedor_nom'];

		

		echo json_encode($data);

	}else{

		echo "Error en la obtención de datos del Proveedor!";	

	}

}

?>